summaryrefslogtreecommitdiffstats
path: root/jjb/vpp/include-raw-vpp-arm-build-no-test.sh
diff options
context:
space:
mode:
authorjuraj.linkes <juraj.linkes@pantheon.tech>2018-10-11 17:09:29 +0200
committerJuraj Linkeš <juraj.linkes@pantheon.tech>2018-12-11 08:13:59 +0000
commit34e6385e3633c366ede6cac81b0a1decc1dfd83b (patch)
tree09804982810542506e49d2bf963cf038bdeb2152 /jjb/vpp/include-raw-vpp-arm-build-no-test.sh
parent940b95c902ccb4c6ef9f17098e14327512cd7443 (diff)
Enable nonvoting testing in VPP ARM verify jobs
Enable testing utilizing parallel test execution for ARM jobs with parallel test execution code, which has been merged in 1810 and update the OS for these jobs to Ubuntu1804. Create new jobs for branches without parallel test execution which don't have testing enabled and retain the OS. Also exclude some currently failing tests which will be enabled once the underlying issues are fixed. Change-Id: I5bbb1348a5a00676759753e5cf66ab65ce55e57d Signed-off-by: juraj.linkes <juraj.linkes@pantheon.tech>
Diffstat (limited to 'jjb/vpp/include-raw-vpp-arm-build-no-test.sh')
-rw-r--r--jjb/vpp/include-raw-vpp-arm-build-no-test.sh58
1 files changed, 58 insertions, 0 deletions
diff --git a/jjb/vpp/include-raw-vpp-arm-build-no-test.sh b/jjb/vpp/include-raw-vpp-arm-build-no-test.sh
new file mode 100644
index 000000000..94cc82449
--- /dev/null
+++ b/jjb/vpp/include-raw-vpp-arm-build-no-test.sh
@@ -0,0 +1,58 @@
+#!/bin/bash
+# basic build script example
+set -xe -o pipefail
+
+OS_ID=$(grep '^ID=' /etc/os-release | cut -f2- -d= | sed -e 's/\"//g')
+OS_VERSION_ID=$(grep '^VERSION_ID=' /etc/os-release | cut -f2- -d= | sed -e 's/\"//g')
+
+echo OS_ID: $OS_ID
+echo OS_VERSION_ID: $OS_VERSION_ID
+
+# do nothing but print the current slave hostname
+hostname
+export CCACHE_DIR=/tmp/ccache
+if [ -d $CCACHE_DIR ];then
+ echo $CCACHE_DIR exists
+ du -sk $CCACHE_DIR
+else
+ echo $CCACHE_DIR does not exist. This must be a new slave.
+fi
+
+echo "cat /etc/bootstrap.sha"
+if [ -f /etc/bootstrap.sha ];then
+ cat /etc/bootstrap.sha
+else
+ echo "Cannot find cat /etc/bootstrap.sha"
+fi
+
+echo "cat /etc/bootstrap-functions.sha"
+if [ -f /etc/bootstrap-functions.sha ];then
+ cat /etc/bootstrap-functions.sha
+else
+ echo "Cannot find cat /etc/bootstrap-functions.sha"
+fi
+
+echo "sha1sum of this script: ${0}"
+sha1sum $0
+
+echo "CC=${CC}"
+
+make UNATTENDED=yes install-dep
+make UNATTENDED=yes dpdk-install-dev
+make UNATTENDED=yes -C build-root PLATFORM=vpp TAG=vpp wipe-all install-packages
+make UNATTENDED=yes -C build-root PLATFORM=vpp TAG=vpp sample-plugin-install
+make UNATTENDED=yes -C build-root PLATFORM=vpp TAG=vpp libmemif-install
+make UNATTENDED=yes pkg-deb
+
+if [ "x${VPP_REPO}" == "x1" ]; then
+ if [ "x${REBASE_NEEDED}" == "x1" ]; then
+ echo "This patch to vpp is based on an old point in the tree that is likely"
+ echo "to fail verify."
+ echo "PLEASE REBASE PATCH ON THE CURRENT HEAD OF THE VPP REPO"
+ exit 1
+ fi
+fi
+
+echo "*******************************************************************"
+echo "* VPP ARM BUILD SUCCESSFULLY COMPLETED"
+echo "*******************************************************************"